Bug 447285 - Review Request: libx86 - library for making real-mode x86 calls
Review Request: libx86 - library for making real-mode x86 calls
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-19 06:25 EDT by Matthew Garrett
Modified: 2013-01-10 02:46 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-05 15:13:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ajax: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthew Garrett 2008-05-19 06:25:18 EDT
Spec URL: http://www.codon.org.uk/~mjg59/libx86/rpms/libx86.spec
SRPM URL: http://www.codon.org.uk/~mjg59/libx86/rpms/libx86-1.1-1.fc9.src.rpm
Description: A library to provide support for making real-mode x86 calls. On 32-bit x86 hardware, vm86 mode is used. x86 emulation is provided on other platforms. This library is primarily used by vbetool for reinitialising graphics hardware on resume from suspend.
Comment 1 Adam Jackson 2008-05-20 10:21:39 EDT
One obvious bug before I begin, you want %postun , not %postrun .
Comment 2 Adam Jackson 2008-05-20 10:34:46 EDT
 - Package meets naming and packaging guidelines
 - Spec file matches base package name.
 - Spec has consistent macro usage.
 - Meets Packaging Guidelines.
 - License
 - License field in spec matches
 - License file included in package
 - Spec in American English
 - Spec is legible.
 - Sources match upstream md5sum:
41bee1f8e22b82d82b5f7d7ba51abc2a  libx86-1.1-1.fc9/libx86-1.1.tar.gz
41bee1f8e22b82d82b5f7d7ba51abc2a  libx86-1.1.tar.gz

 - Package does not need ExcludeArch
 - BuildRequires correct
 - Package has %defattr and permissions on files is good.
 - Package has a correct %clean section.
 - Package has correct buildroot
      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 - Package is code or permissible content.
 - Doc subpackage not needed/used.
 - Packages %doc files don't affect runtime.

 - Headers/static libs in -devel subpackage.
 - Spec has needed ldconfig in post and postun
 - .pc files in -devel subpackage/requires pkgconfig
 - .so files in -devel subpackage.
 - -devel package Requires: %{name} = %{version}-%{release}
 - .la files are removed.

 - Package compiles and builds on at least one arch.
 - Package has no duplicate files in %files.
 - Package doesn't own any directories other packages own.
 - Package creates no directories.
 - No rpmlint output.

Builds in mock locally, submitted to koji but that's being a bit laggy.

The %description text is a bit misleading since you're building it with x86emu
everywhere.  Fix that and the %postrun typo and we'll call this approved.
Comment 3 Matthew Garrett 2008-05-20 10:38:05 EDT
Ok, both fixed.
Comment 4 Adam Jackson 2008-05-20 10:41:54 EDT
Approved.  See
http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure for the next
steps.
Comment 5 Matthew Garrett 2008-05-20 10:44:38 EDT
New Package CVS Request
=======================
Package Name: libx86
Short Description: Library for making real-mode x86 calls
Owners: mjg59
Branches: 
InitialCC: 
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2008-05-20 12:13:25 EDT
cvs done.
Comment 7 Adam Jackson 2008-06-05 15:13:07 EDT
Built in rawhide, closing.
Comment 8 Matthew Garrett 2008-06-11 09:17:37 EDT
Package Change Request
======================
Package Name: libx86
New Branches: F-9
Comment 9 Kevin Fenzi 2008-06-11 12:47:21 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.